<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
	<title>Bookshelf :: ${title}</title>
	<meta name="description" content="" />
	<meta name="keywords" content="" />
	<meta name="author" content="" />
	<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="${base}/resources/stylesheets/default.css" />
</head>

<body>
<div id="outer">
	<div id="header">
		<h1><span>Book</span><strong>Shelf</strong></h1>
		<div id="menu">
			<ul>
			<li class="first"><a href="${base}/">Home</a></li>
			<li><a href="https://esjug.dev.java.net" target="_blank">ESJUG</a></li>
			<li><a href="http://labes.inf.ufes.br" target="_blank">LabES</a></li>
			<li><a href="http://www.inf.ufes.br/~vsouza" target="_blank">Vítor Souza</a></li>
			</ul>
		</div>
	</div>

	<div id="inner">
		<div id="main">
			<div id="xbgA"></div>
			<div id="main_inner">
				<div class="content">${body}</div>
			</div>
		</div>
		
		<div id="side">
			<h3><strong><@s.text name="text.sitenavigation01" /></strong> <@s.text name="text.sitenavigation02" /></h3>
			<div class="content">
				<ul>
					<li class="first"><a href="${base}/registerMember/home.action"><@s.text name="link.registerMember" /></a></li>
					<li><a href="${base}/registerBook/home.action"><@s.text name="link.registerBook" /></a></li>
					<li><a href="${base}/searchBooks/search!input.action"><@s.text name="link.searchBooks" /></a></li>
					<li><a href="${base}/searchBooks/listAvailableBooks.action"><@s.text name="link.listAvailableBooks" /></a></li>
					<li><a href="${base}/searchBooks/listBorrowedBooks.action"><@s.text name="link.listBorrowedBooks" /></a></li>
				</ul>
			</div>
		</div>
		
		<div id="xbgB" class="foot"></div>
	</div>
</div>
<div id="outer2"></div>
<div id="footer">
	&copy; 2007 <a href="http://esjug.dev.java.net" target="_blank">Espírito Santo JUG</a>. Design by <a href="http://www.nodethirtythree.com">NodeThirtyThree</a>
</div>
</body>

</html>
