<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title><@s.text name="link.searchBooks" /></title>
	<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
</head>

<body>
	<h2><@s.text name="link.searchBooks" /></h2>

	<p><@s.text name="text.borrowedBooks" />:</p>
	
	<#if (loans?exists && loans?has_content)>
		<div id="bookSearchResult">
			<div class="info"><div class="title"><@s.text name="text.book" /></div></div>
			<div class="actions"><div class="title"><@s.text name="text.status" /></div></div>
			<div class="footer"></div>
		</div>
				
		<#list loans as loan>
			<#assign book = loan.book>
			<#assign status = "NotAvailable" />
	
			<div id="bookSearchResult">
				<div class="info">
					<img border="0" src="${base}/resources/images/iconBook32x32.png" width="32" height="32" alt="${book.name}" title="${book.name}" align="left" />
					${book.name}<br />
					<span class="authors">${book.authors}</span><br />
					<span class="loanInfo">
					<@s.text name="text.loanInfo">
						<@s.param value="'${loan.borrower.name}'" />
						<@s.param value="'${loan.loanDate?datetime?string.medium_short}'" />
					</@s.text></span>
				</div>
				<div class="actions">
					<a href="${base}/borrowBook/return!input.action?book.id=${book.id}"><img border="0" src="${base}/resources/images/icon${status}16x16.png" width="16" height="16" alt="<@s.text name='text.book${status}' />" title="<@s.text name='text.book${status}' />" /></a>
				</div>
				<div class="footer"></div>
			</div>
		</#list>
	<#else>
		<p><@s.text name="text.noLoansFound" /></p>
	</#if>
</body>

</html>
