/** Bookshelf - RegisterBookAction.java - 12/03/2007 */
package net.java.dev.esjug.bookshelf.controller;

import net.java.dev.esjug.bookshelf.application.RegisterBookService;
import net.java.dev.esjug.bookshelf.domain.Book;
import net.java.dev.esjug.util.frameworks.crud.CrudAction;
import net.java.dev.esjug.util.frameworks.crud.CrudService;

/**
 * TODO: documentation.
 *
 * @author Vitor Souza (vitorsouza@gmail.com)
 */
public class RegisterBookAction extends CrudAction<Book, Long> {
	/** Serialization id. */
	private static final long serialVersionUID = -3759268723706504150L;
	
	/** Service class for the Register Book use case. */
	private RegisterBookService registerBookService;
	
	/**
	 * Setter for registerBookService.
	 * @param registerBookService The registerBookService to set.
	 */
	public void setRegisterBookService(RegisterBookService registerBookService) {
		this.registerBookService = registerBookService;
	}

	/* @see net.java.dev.esjug.util.frameworks.crud.CrudAction#createModel() */
	@Override
	protected Book createModel() {
		return new Book();
	}

	/* @see net.java.dev.esjug.util.frameworks.crud.CrudAction#getAplCrud() */
	@Override
	protected CrudService<Book, Long> getAplCrud() {
		return registerBookService;
	}
}

