/** Bookshelf - RegisterMemberAction.java - 12/03/2007 */
package net.java.dev.esjug.bookshelf.controller;

import net.java.dev.esjug.bookshelf.application.RegisterMemberService;
import net.java.dev.esjug.bookshelf.domain.Member;
import net.java.dev.esjug.util.frameworks.crud.CrudAction;
import net.java.dev.esjug.util.frameworks.crud.CrudService;

/**
 * TODO: documentation.
 *
 * @author Vitor Souza (vitorsouza@gmail.com)
 */
public class RegisterMemberAction extends CrudAction<Member, Long> {
	/** Serialization id. */
	private static final long serialVersionUID = -5861444582196628251L;
	
	/** Service class for the Register Member use case. */
	private RegisterMemberService registerMemberService;
	
	/**
	 * Setter for registerMemberService.
	 * @param registerMemberService The registerMemberService to set.
	 */
	public void setRegisterMemberService(RegisterMemberService registerMemberService) {
		this.registerMemberService = registerMemberService;
	}

	/* @see net.java.dev.esjug.util.frameworks.crud.CrudAction#createModel() */
	@Override
	protected Member createModel() {
		return new Member();
	}

	/* @see net.java.dev.esjug.util.frameworks.crud.CrudAction#getAplCrud() */
	@Override
	protected CrudService<Member, Long> getAplCrud() {
		return registerMemberService;
	}
}

