<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title><@s.text name="text.loanDetails" /></title>
	<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
</head>

<body>
	<h2><@s.text name="text.loanDetails" /></h2>
	
	<div id="bookSearchResult">
		<div class="info">
			<img border="0" src="${base}/resources/images/iconBook32x32.png" width="32" height="32" alt="${book.name}" title="${book.name}" align="left" />
			${book.name}<br />
			<span class="authors">${book.authors}</span><br />
			<span class="loanInfo">
			<@s.text name="text.loanInfo">
				<@s.param value="'${book.currentLoan.borrower.name}'" />
				<@s.param value="'${book.currentLoan.loanDate?date?string.medium}'" />
			</@s.text></span>
		</div>
		<div class="footer"></div>
	</div>
	
	<p>&nbsp;</p>
	
	<h2><@s.text name="text.returnBook" /></h2>
	
	<p><@s.text name="text.confirmReturn" /></p>
	
	<@s.form action="return" namespace="/borrowBook" method="post" name="frmBorrowBook">
		<@s.hidden name="loan.id" value="${book.currentLoan.id}" />
		<@s.submit value="%{getText('form.button.confirmReturn')}" />
	</@s.form>
</body>

</html>
