<?xml version="1.0" encoding="UTF-8" ?>

<#include "/WEB-INF/macros/errors.ftl" />

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title><@s.text name="link.registerBook" /></title>
</head>
<body>

<script language="JavaScript">
<!--
	/* Copies the id of an object to the update form. */
	function doUpdate(id) {
		document.forms['updateForm'].elements[0].value = id;
		document.forms['updateForm'].submit();
	}

	/* Activates the delete form. */
	function doDelete() {
		document.forms['deleteForm'].submit();
	}
// -->
</script>

<h2><@s.text name="link.registerBook" /></h2>

<@displayActionErrors title="${action.getText('text.errors')}" />

<div id="panel">
<div class="crud">
	<div class="crudToolbar">
		<a href="save!form.action"><img border="0" src="${base}/resources/images/iconNew16x16.png" width="16" height="16" alt="<@s.text name='form.button.create' />" title="<@s.text name='form.button.create' />"></a>
		<a href="javascript:doDelete();"><img border="0" src="${base}/resources/images/iconDelete16x16.png" width="16" height="16" alt="<@s.text name='form.button.delete' />" title="<@s.text name='form.button.delete' />"></a>
	</div>

	<div class="crudBody">
		<#-- Check if there are any existing objects. -->
		<#if (objects?exists && objects?has_content)>
			<@s.form action="confirm" method="post" theme="simple" name="deleteForm">
			<table class="crud">
			<tr>
				<td class="button"><img border="0" src="${base}/resources/images/iconDelete16x16.png" width="16" height="16" alt="<@s.text name='text.deletion' />" title="<@s.text name='text.deletion' />"></td>
				<th><@s.text name="form.label.name" /></th>
				<th><@s.text name="form.label.authors" /></th>
				<th><@s.text name="form.label.registerDate" /></th>
				<td class="button">&nbsp;</td>
			</tr>
			<#list objects as obj>
				<tr>
					<td class="button"><@s.checkbox name="ids" fieldValue="${obj.id}" /></td>
					<td>${obj.name}</td>
					<td>${obj.authors}</td>
					<td>${obj.registerDate?date?string.medium}</td>
					<td class="button"><a href="javascript:doUpdate(${obj.id});"><img border="0" src="${base}/resources/images/iconEdit16x16.png" width="16" height="16" alt="<@s.text name='form.button.update' />" title="<@s.text name='form.button.update' />"></a></td>
				</tr>
			</#list>
			</table>
			</@s.form>
		<#else>
			<p><@s.text name="text.noObjects" /></p>
		</#if>
	</div>
	
	<#if (objects?exists && objects?has_content)>
	<div class="crudToolbar">
		<a href="save!form.action"><img border="0" src="${base}/resources/images/iconNew16x16.png" width="16" height="16" alt="<@s.text name='form.button.create' />" title="<@s.text name='form.button.create' />"></a>
		<a href="javascript:doDelete();"><img border="0" src="${base}/resources/images/iconDelete16x16.png" width="16" height="16" alt="<@s.text name='form.button.delete' />" title="<@s.text name='form.button.delete' />"></a>
	</div>
	</#if>
</div>
</div>

<!-- Update form: redirects to the input form that updates na object. -->
<@s.form action="save!form" method="post" theme="simple" name="updateForm">
	<@s.hidden name="model.id" />
</@s.form>

</body>
</html>