/** Bookshelf - SearchBooksAction.java - 15/03/2007 */
package net.java.dev.esjug.bookshelf.controller;

import java.util.Collection;

import net.java.dev.esjug.bookshelf.application.SearchBooksService;
import net.java.dev.esjug.bookshelf.domain.Loan;

import com.opensymphony.xwork2.ActionSupport;

/**
 * TODO: documentation.
 *
 * @author Vitor Souza (vitorsouza@gmail.com)
 */
public class ListBorrowedBooksAction extends ActionSupport {
	/** Serialization id. */
	private static final long serialVersionUID = 7906616076759927798L;

	/** Service class for the 'Search Books' use case. */
	private SearchBooksService searchBooksService;
	
	/** Listing of open loans. */
	private Collection<Loan> loans;
	
	/**
	 * Setter for searchBooksService.
	 * @param searchBooksService The searchBooksService to set.
	 */
	public void setSearchBooksService(SearchBooksService searchBooksService) {
		this.searchBooksService = searchBooksService;
	}

	/**
	 * Getter for loans.
	 * @return The loans
	 */
	public Collection<Loan> getLoans() {
		return loans;
	}

	/* @see com.opensymphony.xwork2.ActionSupport#execute() */
	@Override
	public String execute() throws Exception {
		loans = searchBooksService.listBorrowedBooks();
		return SUCCESS;
	}
}
