/** Loanshelf - HibernateSpringLoanDAO.java - 11/03/2007 */
package net.java.dev.esjug.bookshelf.persistence;

import java.util.Collection;

import net.java.dev.esjug.bookshelf.domain.Loan;
import net.java.dev.esjug.util.persistence.HibernateSpringBaseDAO;

/**
 * TODO: documentation.
 *
 * @author Vitor Souza (vitorsouza@gmail.com)
 */
public class HibernateSpringLoanDAO extends HibernateSpringBaseDAO<Loan, Long> implements LoanDAO {
	/* @see net.java.dev.esjug.util.persistence.HibernateSpringBaseDAO#getDomainClass() */
	@Override
	protected Class getDomainClass() {
		return Loan.class;
	}

	/* @see net.java.dev.esjug.bookshelf.persistence.LoanDAO#retrieveOpenLoans() */
	@SuppressWarnings("unchecked")
	public Collection<Loan> retrieveOpenLoans() {
		return getHibernateTemplate().findByNamedQuery("loan.retrieveOpenLoans");
	}
}
