/** Loanshelf - LoanDAO.java - 11/03/2007 */
package net.java.dev.esjug.bookshelf.persistence;

import java.util.Collection;

import net.java.dev.esjug.bookshelf.domain.Loan;
import net.java.dev.esjug.util.persistence.BaseDAO;

/**
 * TODO: documentation.
 *
 * @author Vitor Souza (vitorsouza@gmail.com)
 */
public interface LoanDAO extends BaseDAO<Loan, Long> {
	/**
	 * Retrieves all loans that haven't been closed, i.e., the book hasn't been returned yet.
	 * 
	 * @return Collection of open loans.
	 */
	Collection<Loan> retrieveOpenLoans();
}
